namespace mgaia.Utils.Security
{
	/// <summary>
	/// Interface que representa um objeto de criptografia
	/// </summary>
	/// <owner>Victor</owner>
	public interface ICryptoProcessor
	{
		/// <summary>
		/// Descriptografa uma string
		/// </summary>
		string Decrypt(string value);

		/// <summary>
		/// Criptografa uma string
		/// </summary>
		string Encrypt(string value);
	}
}